AfterDocs

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
Test Class Reference

`#include <afterdoc.h>`

## Public Types
enum | EnumType { EVal1, EVal2 }
| An enum type. More...

## Public Member Functions
void | member ()
| a member function.

## Protected Attributes
int | value

## Detailed Description

A test class

## Member Enumeration Documentation

enum Test::EnumType

An enum type.

The documentation block cannot be put after the enum!

Enumerator
EVal1 | enum value 1
EVal2 | enum value 2

## Member Data Documentation

int Test::value
| protected

an integer value

The documentation for this class was generated from the following file:

- afterdoc.h